function parseFlyoutResponse() {
    if ( xmlhttp.readyState == 4) {
        // check http status
        if (xmlhttp.status==200) {

            // try to grep the data from the response text
            html = xmlhttp.responseText;
            
            if(!html || html.length < 1) return;
            
            
            html = html.split("\n");
            rowParts = "";
            
            tblBody = document.getElementById("table1");
  
            for(i=0; i<18; i++)
            {
                rowParts = html[i].split(",");
                
                newRow = tblBody.insertRow(-1);
                if(i == 0)
                {
                    newRow.style.backgroundColor = '#BBF6B9';
                } else if (i==1||i==2)
                {
                    newRow.style.backgroundColor = '#B9E6F6';
                } else if (i==3||i==4)
                {
                    newRow.style.backgroundColor = '#F6F4B9';
                } else if (i==15||i==16||i==17)
                {
                    newRow.style.backgroundColor = '#F6B9C0';
                }
                
                newCell = newRow.insertCell(0);
                newCell.innerHTML = (i+1);
            
                newCell = newRow.insertCell(1);
                newCell.innerHTML = rowParts[1];
                        
                newCell = newRow.insertCell(2);
                newCell.innerHTML = rowParts[2];
                
                            
                newCell = newRow.insertCell(3);
                newCell.innerHTML = rowParts[10];
                            
                newCell = newRow.insertCell(4);
                newCell.innerHTML = rowParts[6];
          
                newCell = newRow.insertCell(5);
                newCell.innerHTML = rowParts[8];
                
                newCell = newRow.insertCell(6);
                newCell.innerHTML = rowParts[9];
            }  
        }
    }
}

function load() {
    // document.getElementById("imageSpan").innerHTML = '<center>Loading ...<br /><br /><img src="images/ajax_loading.gif" /></center>';
    url = 'http://bundesliga.do.homeunix.org/table.csv';
    xmlhttp = new XMLHttpRequest;
    xmlhttp.open('GET', url, true);
    xmlhttp.onreadystatechange = parseFlyoutResponse;
    xmlhttp.send(null);
}

function toggleFlyout()
{
    System.Gadget.Flyout.file = 'flyout.html';
    System.Gadget.Flyout.show = System.Gadget.Flyout.show ? false : true;
}

function resumeMarquee()
{
    document.getElementById("marqueeTable").scrollAmount = 2;
}

function stopMarquee()
{
    document.getElementById("marqueeTable").scrollAmount = 0;
}

function changeDirection(direction)
{
    document.getElementById("marqueeTable").direction = direction == "up" ? "up" : "down"; 
}